but it does not give me any warning on the Windows XP.

Thanks in advance

PS: I just copy /usr/local/lib/ruby/1.8/yaml directory to
c:\ruby\1.8.0\lib\yaml

"Useko Netsumi" <REMOVE_THISusenets / nyc.rr.com> wrote in message
news:bd8tjr$qp04v$1 / ID-159205.news.dfncis.de...
> test_yaml.rb:
>
> require 'yaml'
> puts( true.to_yaml )
>
> % ruby test_yaml.rb
>
> prints:
>
> /usr/local/lib/ruby/1.8/yaml/types.rb:49: warning: toplevel constant Hash
> referenced by Kernel::Hash
> -- true
>
> Is this behaviour common? Or I did something wrong. Thanks.
>
>